Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_rule_sets = client.waap.domains.list_rule_sets(
1,
)
print(waap_rule_sets)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapRuleSets, err := client.Waap.Domains.ListRuleSets(context.TODO(), 1)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapRuleSets)
}curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/rule-sets \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/rule-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_active": true,
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>"
}
],
"resource_slug": "<string>",
"rules": []
}
]{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Policies
Fetches rule sets associated with a specific domain
Retrieve all rule sets linked to a particular domain
GET
/
waap
/
v1
/
domains
/
{domain_id}
/
rule-sets
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_rule_sets = client.waap.domains.list_rule_sets(
1,
)
print(waap_rule_sets)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapRuleSets, err := client.Waap.Domains.ListRuleSets(context.TODO(), 1)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapRuleSets)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Response
Successful Response
Identifier of the rule set.
Name of the rule set.
Detailed description of the rule set.
Indicates if the rule set is currently active.
Collection of tags associated with the rule set.
Show child attributes
Show child attributes
The resource slug associated with the rule set.
Show child attributes
Show child attributes
Was this page helpful?
⌘I